Bug 293831 - gnome-ekiga.desktop: put app name in Name=
gnome-ekiga.desktop: put app name in Name=
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-17 15:47 EDT by Rex Dieter
Modified: 2008-11-26 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 17:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-09-17 15:47:49 EDT
Per discussion:

Please update .desktop files to include the name of the app in the Name=
field, ie,
gnome-ekiga.desktop to contain (something like):
GenericName=IP Telephony, VoIP and Video Conferencing
Name=ekiga IP Telephony, VoIP and Video Conferencing
(and not use GenericName at all)
Comment 1 Joel 2008-01-17 12:17:55 EST
In ekiga 2.0.11 1.fc8  this wasn't fixed for english.  The Name and GenericName
are both still:

Name=IP Telephony, VoIP and Video Conferencing

For the other languages, "Ekiga" is included somewhere in the Name entry.

Is this a Won't Fix, or ?
Comment 2 Bug Zapper 2008-05-13 23:14:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Peter Robinson 2008-10-09 18:06:40 EDT
Is there an upstream bug for this? We currently just use the upstream desktop file.
Comment 4 Peter Robinson 2008-11-26 16:22:40 EST
The ekiga.desktop.in.in upstream has a _Name=Ekiga Softphone as can be seen here in http://svn.gnome.org/viewvc/ekiga/trunk/ekiga.desktop.in.in?view=markup as to why Fedora gets something else is probably a bug in the way Fedora generates this so I'm inclined to close this WONTFIX.
Comment 5 Peter Robinson 2008-11-26 17:11:26 EST
Closing. Reading the mailing list post you mentioned it actually explains it all, in fact the title is enough "Can Name=GenericName go away now, please?" .... Fedora as part of the build sets the Name string to the GenericName string. The real Fedora name string contains "Ekiga Softphone". When Fedora turns off the Name=GenericName the problem will be fixed.

Note You need to log in before you can comment on or make changes to this bug.